# Class DataFrameColumnString

java.lang.Object
org.snpsift.annotate.mem.dataFrame.dataFrameColumn.DataFrameColumn<String>
org.snpsift.annotate.mem.dataFrame.dataFrameColumn.DataFrameColumnString

All Implemented Interfaces:
  `Serializable`

public class DataFrameColumnString extends DataFrameColumn<String>

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class DataFrameColumn

`isNUllData, MAX_NUMBER_OF_ELEMENTS_TO_SHOW, name`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameColumnString(String name, int length, int size)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`StringArrayBase`
`getData()`
Get the data, used for testing
`protected String`
`getData(int i)`
`static DataFrameColumnString`
`of(String name, String[] strings)`
Create a StringColumn from an array of strings
`void`
`resize()`
Resize and memory optimize the data
`protected void`
`setData(int i, Object value)`
Set data at index i
`int`
`size()`
Number of elements in this DataColumn
`long`
`sizeBytes()`
Memory size of this object (approximate size in bytes)

### Methods inherited from class DataFrameColumn

`check, get, getName, isNull, set, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameColumnString

public DataFrameColumnString(String name, int length, int size)
Constructor

Parameters:
  `name` -
  `size` - : Number of strings in the column
  `dataSize` - : Total size of all strings (i.e. memory used)

## Method Details

### of

public static DataFrameColumnString of(String name, String[] strings)
Create a StringColumn from an array of strings

### getData

protected String getData(int i)

Specified by:
  `getData` in class `DataFrameColumn<String>`

### getData

public StringArrayBase getData()
Get the data, used for testing

### resize

public void resize()
Resize and memory optimize the data

Overrides:
  `resize` in class `DataFrameColumn<String>`

### setData

protected void setData(int i, Object value)
Description copied from class: `DataFrameColumn`
Set data at index i

Specified by:
  `setData` in class `DataFrameColumn<String>`

### size

public int size()
Description copied from class: `DataFrameColumn`
Number of elements in this DataColumn

Specified by:
  `size` in class `DataFrameColumn<String>`

### sizeBytes

public long sizeBytes()
Memory size of this object (approximate size in bytes)

Specified by:
  `sizeBytes` in class `DataFrameColumn<String>`